-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: 17 Mei 2017 pada 05.01
-- Versi Server: 10.1.16-MariaDB
-- PHP Version: 7.0.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `p2d4ti06_test`
--

-- --------------------------------------------------------

--
-- Struktur dari tabel `daftar_book`
--

CREATE TABLE `daftar_book` (
  `id` int(10) UNSIGNED NOT NULL,
  `homestay` int(10) UNSIGNED DEFAULT NULL,
  `nama_pemesan` varchar(255) DEFAULT NULL,
  `jumlah_kamar` int(255) DEFAULT NULL,
  `tanggal_mulai` date DEFAULT NULL,
  `tanggal_berakhir` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `daftar_book`
--

INSERT INTO `daftar_book` (`id`, `homestay`, `nama_pemesan`, `jumlah_kamar`, `tanggal_mulai`, `tanggal_berakhir`) VALUES
(3, 9, 'Lesa Lesuu ', 2, '2017-05-16', '2017-05-19');

-- --------------------------------------------------------

--
-- Struktur dari tabel `dinaspariwisata`
--

CREATE TABLE `dinaspariwisata` (
  `idPegawai` int(10) UNSIGNED NOT NULL,
  `namaPegawai` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `divisiPegawai` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data untuk tabel `dinaspariwisata`
--

INSERT INTO `dinaspariwisata` (`idPegawai`, `namaPegawai`, `divisiPegawai`, `created_at`, `updated_at`) VALUES
(2, 'Juliper', 'Homestay', '2017-05-03 01:19:00', '2017-05-03 01:19:02');

-- --------------------------------------------------------

--
-- Struktur dari tabel `feedback`
--

CREATE TABLE `feedback` (
  `id` int(10) UNSIGNED NOT NULL,
  `id_pemilikHomestay` int(10) UNSIGNED DEFAULT NULL,
  `idPelanggan` int(10) UNSIGNED NOT NULL,
  `feedback` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Struktur dari tabel `homestay`
--

CREATE TABLE `homestay` (
  `id` int(10) UNSIGNED NOT NULL,
  `idPemilik` int(10) UNSIGNED DEFAULT NULL,
  `namaHomestay` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `owner` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `alamat` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `jumlahKamar` int(11) NOT NULL,
  `harga` double NOT NULL,
  `fasilitas` text COLLATE utf8_unicode_ci,
  `status` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data untuk tabel `homestay`
--

INSERT INTO `homestay` (`id`, `idPemilik`, `namaHomestay`, `owner`, `alamat`, `jumlahKamar`, `harga`, `fasilitas`, `status`, `created_at`, `updated_at`) VALUES
(9, 6, 'Test2', 'Palti Sinaga', 'Balige', 4, 150000, 'Kamar Mandi, Tempat Panggang, Dekat Pantai, Tempat karaoke, dan juga Tempat Dispenser\r\njadi ayo ke homestay kami guys!! :)', '----', '2017-05-08 02:51:28', '2017-05-08 02:51:28'),
(10, 7, 'Testing Katu', 'Test', '--', 3, 150000, NULL, '----', '2017-05-14 23:26:59', '2017-05-14 23:26:59');

-- --------------------------------------------------------

--
-- Struktur dari tabel `kamar`
--

CREATE TABLE `kamar` (
  `id` int(10) UNSIGNED NOT NULL,
  `idHomestay` int(10) UNSIGNED DEFAULT NULL,
  `id_transaksi` int(10) UNSIGNED DEFAULT NULL,
  `nomor_kamar` int(10) UNSIGNED NOT NULL,
  `jumlah_bed` int(10) DEFAULT NULL,
  `fasilitas` varchar(255) DEFAULT NULL,
  `gambar` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `kamar`
--

INSERT INTO `kamar` (`id`, `idHomestay`, `id_transaksi`, `nomor_kamar`, `jumlah_bed`, `fasilitas`, `gambar`) VALUES
(8, 9, 1, 1, 2, 'Toloong Please menginap lah teman', 'fanta_strawbery.jpg'),
(9, 9, 1, 2, 2, NULL, NULL),
(10, 9, 1, 3, 2, NULL, NULL),
(11, 9, NULL, 4, 2, NULL, NULL),
(12, 10, NULL, 1, 2, NULL, NULL),
(13, 10, NULL, 2, 2, NULL, NULL),
(14, 10, NULL, 3, 2, NULL, NULL);

-- --------------------------------------------------------

--
-- Struktur dari tabel `kategorifasilitas`
--

CREATE TABLE `kategorifasilitas` (
  `idFasilitas` int(10) UNSIGNED NOT NULL,
  `namaFasilitas` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `kategorifasilitas`
--

INSERT INTO `kategorifasilitas` (`idFasilitas`, `namaFasilitas`) VALUES
(1, 'Kamar Tidur'),
(2, 'Perlatan Kamar Mandi');

-- --------------------------------------------------------

--
-- Struktur dari tabel `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data untuk tabel `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1, '2014_10_12_000000_create_users_table', 1),
(2, '2014_10_12_100000_create_password_resets_table', 1),
(3, '2017_04_19_090402_Pelanggan', 2),
(4, '2017_04_19_090837_Admin', 2),
(5, '2017_04_19_091320_DinasPariwisata', 2),
(6, '2017_04_19_091651_PemilikiHomestay', 2),
(7, '2017_04_19_092041_Homestay', 2),
(8, '2017_04_19_101431_Pemesanan', 2),
(9, '2017_04_20_092606_Pembayaran', 2),
(10, '2017_04_22_074954_Feedback', 3);

-- --------------------------------------------------------

--
-- Struktur dari tabel `password_resets`
--

CREATE TABLE `password_resets` (
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Struktur dari tabel `pelanggan`
--

CREATE TABLE `pelanggan` (
  `id` int(10) UNSIGNED NOT NULL,
  `id_Akun` int(10) UNSIGNED DEFAULT NULL,
  `nama` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `alamat` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `noTelepon` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pekerjaan` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `foto` varchar(2555) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data untuk tabel `pelanggan`
--

INSERT INTO `pelanggan` (`id`, `id_Akun`, `nama`, `alamat`, `noTelepon`, `pekerjaan`, `foto`, `created_at`, `updated_at`) VALUES
(2, 14, 'Lesa Lesuu ', 'Medan Bung', '082134657865', 'Panortor Profesional', NULL, '2017-05-09 02:32:54', '2017-05-09 21:46:55'),
(4, 15, 'Parhuta', '---', '---', '---', NULL, '2017-05-09 03:12:56', '2017-05-09 03:12:56');

-- --------------------------------------------------------

--
-- Struktur dari tabel `pemilikhomestay`
--

CREATE TABLE `pemilikhomestay` (
  `id` int(10) UNSIGNED NOT NULL,
  `id_Akun` int(10) UNSIGNED DEFAULT NULL,
  `nama` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `alamat` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `pekerjaan` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `noTelepon` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `noRekening` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `foto` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data untuk tabel `pemilikhomestay`
--

INSERT INTO `pemilikhomestay` (`id`, `id_Akun`, `nama`, `alamat`, `pekerjaan`, `noTelepon`, `noRekening`, `foto`, `created_at`, `updated_at`) VALUES
(6, 5, 'Palti Sinaga', 'Balige', 'Petani', '082145658976', '12345678981', '1469993_725963404098414_1076561403_n.jpg', '2017-04-29 08:07:38', '2017-05-01 05:49:21'),
(7, 6, 'Test', '--', '--', '--', '--', 'gravatar.png', '2017-05-03 01:52:34', '2017-05-03 01:52:34'),
(9, NULL, 'Testing', '--', '--', '--', '--', 'gravatar.png', '2017-05-08 19:36:39', '2017-05-08 19:36:39');

-- --------------------------------------------------------

--
-- Struktur dari tabel `pengajuan_homestay`
--

CREATE TABLE `pengajuan_homestay` (
  `id` int(10) NOT NULL,
  `idPemilikHomestay` int(10) UNSIGNED DEFAULT NULL,
  `idPgwDinasPariwisata` int(101) UNSIGNED DEFAULT NULL,
  `namaHomestay` varchar(255) NOT NULL,
  `jumlahKamar` int(10) NOT NULL,
  `status` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `pengajuan_homestay`
--

INSERT INTO `pengajuan_homestay` (`id`, `idPemilikHomestay`, `idPgwDinasPariwisata`, `namaHomestay`, `jumlahKamar`, `status`) VALUES
(3, 6, NULL, 'Test2', 4, 1),
(4, 7, NULL, 'Testing Katu', 3, 1);

-- --------------------------------------------------------

--
-- Struktur dari tabel `requestfasilitas`
--

CREATE TABLE `requestfasilitas` (
  `id` int(11) NOT NULL,
  `id_pemilik_homestay` int(10) UNSIGNED NOT NULL,
  `id_kategoriFasiltas` int(10) UNSIGNED DEFAULT NULL,
  `namaRequestFasilitas` varchar(255) NOT NULL,
  `deskripsi` varchar(255) NOT NULL,
  `jumlah` int(11) NOT NULL,
  `gambar` varchar(255) DEFAULT NULL,
  `status` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `requestfasilitas`
--

INSERT INTO `requestfasilitas` (`id`, `id_pemilik_homestay`, `id_kategoriFasiltas`, `namaRequestFasilitas`, `deskripsi`, `jumlah`, `gambar`, `status`) VALUES
(2, 6, 2, 'Perbaikan Kamar Mandi', 'Kamar mandi sering kali kekurangan air saat di gunakan dan gayung rusak semua', 5, '', 1),
(3, 7, 1, 'Keramik Pecah', 'Terjadi Tsunami dan keramik rumah pecah beserta Homestay', 100, NULL, 1);

-- --------------------------------------------------------

--
-- Struktur dari tabel `transaksi`
--

CREATE TABLE `transaksi` (
  `id` int(10) UNSIGNED NOT NULL,
  `id_pelanggan` int(10) UNSIGNED NOT NULL,
  `id_homestay` int(10) UNSIGNED DEFAULT NULL,
  `tanggal_mulai` date NOT NULL,
  `tanggal_berakhir` date NOT NULL,
  `jumlah_kamar` int(10) NOT NULL,
  `lama_menginap` int(10) NOT NULL,
  `bukti_pembayaran` varchar(255) DEFAULT NULL,
  `total_pembayaran` int(10) DEFAULT NULL,
  `tanggal_konfirmasi` date DEFAULT NULL,
  `status` tinyint(1) UNSIGNED ZEROFILL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `transaksi`
--

INSERT INTO `transaksi` (`id`, `id_pelanggan`, `id_homestay`, `tanggal_mulai`, `tanggal_berakhir`, `jumlah_kamar`, `lama_menginap`, `bukti_pembayaran`, `total_pembayaran`, `tanggal_konfirmasi`, `status`) VALUES
(16, 2, 9, '2017-05-16', '2017-05-19', 2, 3, 'error1.PNG', 300000, NULL, NULL);

-- --------------------------------------------------------

--
-- Struktur dari tabel `users`
--

CREATE TABLE `users` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `foto` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `role` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data untuk tabel `users`
--

INSERT INTO `users` (`id`, `name`, `username`, `email`, `password`, `foto`, `role`, `remember_token`, `created_at`, `updated_at`) VALUES
(2, 'Juliper', 'admin', 'admin@del.ac.id', '$2y$10$nnnUgQAnb9FnDb3DNTlwaehkE5GiJ6piv8Yg/LXyXypdgaxigpHVe', 'gravatar.png', 'DinasPariwisata', '8Ywt4jfBhZVCWSAfJQugeg33ed9sY41MKnk3qWBvbqyO7MWyMda3azKTDckb', '2017-04-22 02:30:14', '2017-05-14 23:27:27'),
(5, 'Palti Sinaga', 'palti', 'palti1@gmail.com', '$2y$10$YZNp2gw4amlEQWi4hvDA9OfGixdYx1AIsl0.El8TzQoo9IPed8E..', 'gravatar.png', 'Owner', 'f63qT4nsEYOy3VvvasewJh0Uv5QEHO6p30kSWOjasR5d0PEmpJh41DO92PM3', '2017-04-29 08:07:38', '2017-05-16 07:35:28'),
(6, 'Test', 'test', 'test@gmail.com', '$2y$10$rkcPTvpujOZZFRs/libdZeIED53Ve67HM/3C9Zb0jQE8hqxzhsIxW', 'gravatar.png', 'Owner', 'AJIJRslmncu87OVMkJydqFkT41QjzjsSPpaMgDdPbZuRINHhkQ7WU7xf1hM8', '2017-05-03 01:52:34', '2017-05-15 01:55:41'),
(8, 'Testing', 'testing', 'testing@gmail.com', '$2y$10$tDOBcuve8EGi.k8.v9at5eYZRMRdOyXmqaahfwG2pwyMrbWd3B1Ra', 'gravatar.png', 'Owner', NULL, '2017-05-08 19:36:39', '2017-05-08 19:36:39'),
(14, 'Lesa Lesuu ', 'lesa', 'lesa@gmail.com', '$2y$10$zudTTxc6.lENGpFKwp093u9SuvEjidfYExLHk3vsOvZISDma1HChW', 'lesa2.jpg', 'Customer', '5vTxvk9TpEMMHu0FpJLOon5AXJziYrciec7ANF9z5OU1FsqM3plDAoH1M01B', '2017-05-09 02:41:21', '2017-05-15 02:38:04'),
(15, 'Parhuta', 'hutahuta', 'huta@gmail.com', '$2y$10$S/thLiTQUbpZ6/utPKPwDe7JGoScFnebDK6Vt6sm0I.7CIoQ9HrWe', 'gravatar.png', 'Customer', NULL, '2017-05-09 03:12:55', '2017-05-09 03:12:55');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `daftar_book`
--
ALTER TABLE `daftar_book`
  ADD PRIMARY KEY (`id`),
  ADD KEY `homestay` (`homestay`);

--
-- Indexes for table `dinaspariwisata`
--
ALTER TABLE `dinaspariwisata`
  ADD PRIMARY KEY (`idPegawai`);

--
-- Indexes for table `feedback`
--
ALTER TABLE `feedback`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idPelanggan` (`idPelanggan`),
  ADD KEY `id_pemilikHomestay` (`id_pemilikHomestay`);

--
-- Indexes for table `homestay`
--
ALTER TABLE `homestay`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `nama` (`namaHomestay`),
  ADD UNIQUE KEY `id_owner` (`owner`),
  ADD KEY `id_owner_2` (`owner`),
  ADD KEY `idPemilik` (`idPemilik`),
  ADD KEY `nama_2` (`namaHomestay`);

--
-- Indexes for table `kamar`
--
ALTER TABLE `kamar`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idPemesanan` (`id_transaksi`),
  ADD KEY `idHomestay` (`idHomestay`);

--
-- Indexes for table `kategorifasilitas`
--
ALTER TABLE `kategorifasilitas`
  ADD PRIMARY KEY (`idFasilitas`);

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `password_resets`
--
ALTER TABLE `password_resets`
  ADD KEY `password_resets_email_index` (`email`),
  ADD KEY `password_resets_token_index` (`token`);

--
-- Indexes for table `pelanggan`
--
ALTER TABLE `pelanggan`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `pemilikhomestay`
--
ALTER TABLE `pemilikhomestay`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `nama` (`nama`),
  ADD KEY `id_Akun` (`id_Akun`);

--
-- Indexes for table `pengajuan_homestay`
--
ALTER TABLE `pengajuan_homestay`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idPemilikHomestay` (`idPemilikHomestay`),
  ADD KEY `idPgwDinasPariwisata` (`idPgwDinasPariwisata`);

--
-- Indexes for table `requestfasilitas`
--
ALTER TABLE `requestfasilitas`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id_pemilik_homesaty` (`id_pemilik_homestay`),
  ADD KEY `id_kategoriFasiltas` (`id_kategoriFasiltas`);

--
-- Indexes for table `transaksi`
--
ALTER TABLE `transaksi`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_pelanggan` (`id_pelanggan`),
  ADD KEY `id_homestay` (`id_homestay`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_email_unique` (`email`),
  ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `daftar_book`
--
ALTER TABLE `daftar_book`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `dinaspariwisata`
--
ALTER TABLE `dinaspariwisata`
  MODIFY `idPegawai` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `feedback`
--
ALTER TABLE `feedback`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `homestay`
--
ALTER TABLE `homestay`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT for table `kamar`
--
ALTER TABLE `kamar`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
--
-- AUTO_INCREMENT for table `kategorifasilitas`
--
ALTER TABLE `kategorifasilitas`
  MODIFY `idFasilitas` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT for table `pelanggan`
--
ALTER TABLE `pelanggan`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `pemilikhomestay`
--
ALTER TABLE `pemilikhomestay`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;
--
-- AUTO_INCREMENT for table `pengajuan_homestay`
--
ALTER TABLE `pengajuan_homestay`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `requestfasilitas`
--
ALTER TABLE `requestfasilitas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `transaksi`
--
ALTER TABLE `transaksi`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;
--
-- Ketidakleluasaan untuk tabel pelimpahan (Dumped Tables)
--

--
-- Ketidakleluasaan untuk tabel `daftar_book`
--
ALTER TABLE `daftar_book`
  ADD CONSTRAINT `daftar_book_ibfk_1` FOREIGN KEY (`homestay`) REFERENCES `homestay` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ketidakleluasaan untuk tabel `feedback`
--
ALTER TABLE `feedback`
  ADD CONSTRAINT `feedback_ibfk_1` FOREIGN KEY (`idPelanggan`) REFERENCES `pelanggan` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `feedback_ibfk_2` FOREIGN KEY (`id_pemilikHomestay`) REFERENCES `pemilikhomestay` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ketidakleluasaan untuk tabel `homestay`
--
ALTER TABLE `homestay`
  ADD CONSTRAINT `homestay_ibfk_1` FOREIGN KEY (`idPemilik`) REFERENCES `pemilikhomestay` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ketidakleluasaan untuk tabel `kamar`
--
ALTER TABLE `kamar`
  ADD CONSTRAINT `kamar_ibfk_2` FOREIGN KEY (`idHomestay`) REFERENCES `homestay` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ketidakleluasaan untuk tabel `pemilikhomestay`
--
ALTER TABLE `pemilikhomestay`
  ADD CONSTRAINT `pemilikhomestay_ibfk_1` FOREIGN KEY (`id_Akun`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ketidakleluasaan untuk tabel `pengajuan_homestay`
--
ALTER TABLE `pengajuan_homestay`
  ADD CONSTRAINT `pengajuan_homestay_ibfk_1` FOREIGN KEY (`idPemilikHomestay`) REFERENCES `pemilikhomestay` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `pengajuan_homestay_ibfk_2` FOREIGN KEY (`idPgwDinasPariwisata`) REFERENCES `dinaspariwisata` (`idPegawai`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ketidakleluasaan untuk tabel `requestfasilitas`
--
ALTER TABLE `requestfasilitas`
  ADD CONSTRAINT `requestfasilitas_ibfk_1` FOREIGN KEY (`id_pemilik_homestay`) REFERENCES `pemilikhomestay` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `requestfasilitas_ibfk_2` FOREIGN KEY (`id_kategoriFasiltas`) REFERENCES `kategorifasilitas` (`idFasilitas`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ketidakleluasaan untuk tabel `transaksi`
--
ALTER TABLE `transaksi`
  ADD CONSTRAINT `transaksi_ibfk_1` FOREIGN KEY (`id_pelanggan`) REFERENCES `pelanggan` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `transaksi_ibfk_2` FOREIGN KEY (`id_homestay`) REFERENCES `homestay` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
